打开/关闭菜单
322
1711
132
1.2万
星露谷物语扩展百科
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Common.css:修订间差异

MediaWiki界面页面
删除的内容 添加的内容
Sizau留言 | 贡献
样式
 
Sizau留言 | 贡献
无编辑摘要
第6行: 第6行:
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/base64.css');


/* --- 基础 --- */

:root {
/* Hex: #0095f0 */
--color-progressive-oklch__l: 62%;
--color-progressive-oklch__c: 0.16;
--color-progressive-oklch__h: 230;
}

.center {
text-align: center;
}

.no-wrap {
white-space: nowrap;
}

/* 头像 */
.citizen-header__inner .citizen-ui-icon.mw-ui-icon-wikimedia-userAvatar[data-user]:before {
mask-size: unset;
background-image: var(--avatar-url) !important;
mask-image: unset;
background-size: contain;
border-radius: 12%;
}

/* --- 基础 --- */


/* --- 信息框 --- */
/* --- 信息框 --- */

2026年1月12日 (一) 01:00的版本

@import url('https://fontsapi.p1.wiki/fonts/Clear Han Serif/result.css');
@import url('https://fontsapi.p1.wiki/fonts/WenYuan Rounded SC/result.css');
@import url('https://fontsapi.p1.wiki/fonts/Consolas/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Regular/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Medium/result.css');
@import url('https://fontsapi.p1.wiki/fonts/HarmonyOS Sans/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/极影毁片辉宋/Bold/result.css');
@import url('https://fontsapi.p1.wiki/fonts/base64.css');

/* --- 基础 --- */

:root {
  /* Hex: #0095f0 */
  --color-progressive-oklch__l: 62%;
  --color-progressive-oklch__c: 0.16;
  --color-progressive-oklch__h: 230; 
}

.center {
    text-align: center;
}

.no-wrap {
    white-space: nowrap;
}

/* 头像 */
.citizen-header__inner .citizen-ui-icon.mw-ui-icon-wikimedia-userAvatar[data-user]:before {
    mask-size: unset;
    background-image: var(--avatar-url) !important;
    mask-image: unset;
    background-size: contain;
    border-radius: 12%;
}

/* --- 基础 --- */

/* --- 信息框 --- */

.infoboxborder {
    position: relative;
    background-color: var(--background-color-base);
    float: right;
    border-radius: 0;
    margin-left: 30px;
    margin-top: 15px;
    margin-bottom: 24px;
    min-width: 300px;
    z-index: 1;
    border: 1.5px solid var(--color-progressive); 
    padding: 0 4px 4px 4px;
}

.infoboxtable {
    max-width: 350px;
    width: 100%;
    border-spacing: 2px;
}

.infoboxheader {
    text-align: center;
    font-size: 24px;
    padding-top: 5px;
    padding-bottom: 5px;
    text-shadow: 0.75px 0.75px 0 rgb(0,0,0, 0.2);
    
}
html.skin-theme-clientpref-night .infoboxheader {
    text-shadow: 0.75px 0.75px 0 rgb(255,255,255, 0.2);
}

.infoboxsection {
    background-color: var(--color-progressive);
    vertical-align: top;
    padding-left: 15px;
    padding-right: 5px;
    width: 105px;
    border-color: var(--background-color-progressive--focus);
    box-shadow: var(--box-shadow-small);
    text-shadow: 1px 1px var(--background-color-progressive--hover);
    color: white;
}

.infoboxsection a {
    color: white;
}

.infoboxdetail {
    vertical-align: top;
    padding-left: 3px;
    padding-right: 12px;
}

.infoboxdetail p {
    margin: 0;
}

.infoboxdetail ul {
    margin: 0 0 0 0.9em;
}

.infoboxborder th {
    text-align: center;
}

/* 表格头部 */
.infoboxtable .infoboxtitle + .infoboxtitle td {
    padding-top: 0;
    font-size: 14px;
    font-family: "Lato", sans-serif;
    font-weight: 450;
    font-style: italic;
}

.infoboxtable .infoboxtitle + .infoboxtitle td::before {
    content: "";
    display: none;
}

.infoboxtable .infoboxtitle:first-of-type td,
.infoboxtable .infoboxtitle:last-of-type td,
.infoboxtable .infoboxtitle:only-of-type td {
    padding-bottom: 0;
}

.infoboxtitle + tr:not(.infoboxtitle) td {
    padding-top: 8px;
    padding-bottom: 5px;
    text-align: center;
}

/* 自适应 */
@media (max-width: 650px) {
    .infoboxtable tbody {
        width: 100%;
        display: inline-table;
    }

    .infoboxdetail table {
        margin-top: 0;
        margin-bottom: 0;
    }
    .infoboxborder {
        width: fit-content;
        width: max-content;
        max-width: 100%;
    }
    .infoboxborder {
        float: unset;
        margin: 12px auto 24px;
        min-width: 100%;
    }
    .infoboxtable {
        max-width: none;
        margin-top: 16px;
        margin-bottom: 16px;
    }
}

/* 表格链接 */
.wikitable > * > tr > th a,
.infoboxsection a {
    position: relative;
    display: inline-block;
    padding-right: 6px;
}

.wikitable > * > tr > th a::after,
.infoboxsection a::after {
    content: "";
    position: absolute;
    bottom: -2px;
    right: -2px;
    width: 8px;
    height: 8px;
    background-image: url(filepath://Link to.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom right;
    opacity: 0.95;
}

.wikitable > * > tr > th a,
.infoboxsection a {
    margin-right: 0;
    line-height: 1.2;
}

.infoboxsection[colspan="2"],
.infoboxsection[colspan="3"],
.infoboxsection[colspan="4"],
.infoboxsection[colspan="5"],
.infoboxsection[colspan="6"] {
    padding-left: 0;
    padding-right: 0;
    text-align: center !important;
}

/* 物品描述 */
.infoboxdetail[colspan="2"] {
    text-align: center !important;
    padding-right: 3px;
    padding-left: 3px;
}

/* 物品编号 */
.infoboxdetail.consolas {
    overflow-wrap: anywhere;
}

/* 嵌套表格 */
.infoboxtable .subtable {
    padding: 0;
    border: 0;
}

.infoboxtable .subtable > table {
    width: 101%;
    margin: -2px;
}

/* 列表调整 */
.infoboxdetail ul {
    list-style: none;
    margin: 0 !important;
}

.infoboxdetail li {
    padding-left: 1.65em;
    text-indent: -1.65em;
}

/* 分类展示 */
.infoboxtable tr:first-child td:first-child {
    position: relative;
}

/* 地图图片 */
.location {
    max-width: 400px;
}

.locationimg img {
    max-width: 90%;
    height: auto;
}

/* --- 信息框 --- */